%define __libtoolize :

%global momorel 12

Summary:        library to convert wmf files
Name:           libwmf
Version:        0.2.8.4
Release: %{momorel}m%{?dist}
License:        GPL
Group:          System Environment/Libraries
URL:            http://wvWare.sourceforge.net/libwmf.html
Source0: http://dl.sourceforge.net/sourceforge/wvware/%{name}-%{version}.tar.gz 
NoSource: 0
Patch0: libwmf-0.2.8.4-intoverflow.patch
Patch1: libwmf-0.2.8.4-CVE-2007-0455.patch
Patch2: libwmf-0.2.8.4-CVE-2007-2756.patch
Patch3: libwmf-0.2.8.4-useafterfree.patch

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Requires: ghostscript
BuildPrereq: ghostscript
BuildPrereq: freetype-devel
BuildPrereq: libpng-devel >= 1.2.2
BuildPrereq: libICE-devel, libSM-devel, libX11-devel
BuildPrereq: expat-devel
BuildPrereq: libjpeg-devel
BuildPrereq: gtk+-devel >= 2.10.3

%description
libwmf is a library for unix like machines that can convert wmf
files into other formats, currently it supports a gd binding
to convert to png, and an X one to draw direct to an X window
or pixmap.

%package devel
Summary: library to convert wmf files
Group: Development/Libraries
Requires:       libwmf = %{version}

%description devel
libwmf is a library for unix like machines that can convert wmf
files into other formats, currently it supports a gd binding
to convert to png, and an X one to draw direct to an X window
or pixmap.

%prep
%setup -q 
%patch0 -p1 -b .overflow
%patch1 -p1 -b .CVE-2007-0455
%patch2 -p1 -b .CVE-2007-2756
%patch3 -p1 -b .CVE-2009-1364

%build
%configure
%make
make check
%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}
rm -rf %{buildroot}%{_docdir}/%{name}

find %{buildroot} -name "*.la" -delete

%post
/sbin/ldconfig
%{_bindir}/gdk-pixbuf-query-loaders > %{_sysconfdir}/gtk-2.0/gdk-pixbuf.loaders

%postun
/sbin/ldconfig

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc COPYING CREDITS README doc examples
%{_bindir}/wmf2fig
%{_bindir}/wmf2gd
%{_bindir}/wmf2x
%{_bindir}/wmf2svg
%{_bindir}/wmf2eps
%{_bindir}/libwmf-fontmap
%{_libdir}/lib*.so.*
%{_libdir}/gtk-2.0/*/loaders/io-wmf.so
%dir %{_datadir}/libwmf
%{_datadir}/libwmf/*

%files devel
%defattr(-, root, root)
%{_bindir}/libwmf-config
%{_includedir}/libwmf
#%%{_libdir}/lib*.la
%{_libdir}/lib*.so
%{_libdir}/lib*.a
%{_libdir}/gtk-2.0/*/loaders/io-wmf.a
#%%{_libdir}/gtk-2.0/*/loaders/io-wmf.la

%changelog
* Thu Jul  9 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.2.8.4-12m)
- [SECURITY] CVE-2009-1364
- import a security patch (Patch3) from Fedora 11 (0.2.8.4-20)

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.2.8.4-11m)
- rebuild against rpm-4.6

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.2.8.4-10m)
- rebuild against gcc43

* Thu Feb 14 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (0.2.8.4-9m)
- %%NoSource -> NoSource

* Thu Jun 14 2007 Ryu SASAOKA <ryu@momonga-linux.org>
- (0.2.8.4-8m)
- [SECURITY] CVE-2007-0455 CVE-2007-2756
- add patches

* Sat Mar 31 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.2.8.4-7m)
- BuildPrereq: freetype2-devel -> freetype-devel

* Mon Oct 30 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.2.8.4-6m)
- delete libtool library

* Sun Sep 10 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.2.8.4-5m)
- rebuild against gtk+-2.10.3

* Sat Aug 26 2006 NARITA Koichi <pulsar@sea.plala.or.jp>
- (0.2.8.4-4m)
- rebuild against expat-2.0.0-1m

* Sat Jul 29 2006 NARITA Koichi <pulsar@sea.plala.or.jp>
- (0.2.8.4-3m)
- [SECURITY] import libwmf-0.2.8.4-intoverflow.patch from FC5 (CVE-2006-3376)

* Sat Jul  8 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.2.8.4-2m)
- add %%post script

* Sun May 28 2006 NARITA Koichi <pulsar@sea.plala.or.jp>
- (0.2.8.4-1m)
- update to 0.2.8.4

* Sun Jan 23 2005 Dai OKUYAMA <dai@ouchi.nahi.to>
- (0.2.8.3-3m)
- enable x86_64. use directory macros.

* Wed Dec 22  2004 Masaru SANUKI <sanuki@momonga-linux.org>
- (0.2.8.3-2m)
- add auto commands before %%build for fix missing lib*.so problem

* Wed Nov 17 2004 Kazuhiko <kazuhiko@fdiary.net>
- (0.2.8.3-1m)

* Tue Apr 13 2004 Kazuhiko <kazuhiko@fdiary.net>
- (0.2.8-3m)
- rebuild against gtk+-2.4.0

* Mon Mar 22 2004 Toru Hoshina <t@momonga-linux.org>
- (0.2.8-2m)
- revised spec for enabling rpm 4.2.

* Mon Mar 31 2003 smbd <smbd@momonga-linux.org>
- (0.2.8-1m)
- up to 0.2.8

* Sat Apr 20 2002 YAMAZAKI Makoto <zaki@kondara.org>
- (0.2.1-8k)
- rebuild against libpng 1.2.2.

* Fri Nov 02 2001 Motonobu Ichimura <famao@kondara.org>
- (0.2.1-6k)
- modify BuildPrereq,Requires Tag

* Sun Oct 14 2001 Toru Hoshina <t@kondara.org>
- (0.2.1-4k)
- rebuild against libpng 1.2.0.

* Fri Aug 24 2001 Kusunoki Masanori <nori@kondara.org>
- up to 0.1.21

* Tue Nov 27 2000 Motonobu Ichimura <famao@kondara.org>
- up to 0.1.20

* Sat Jun 24 2000 Hiroki Harata <h-h@cablenet.ne.jp>
- [libwmf-0.1.17-1k]
- initialization of spec file.
